/*
 *  Copyright (c) 2023 Fraunhofer Institute for Applied Information Technology
 *
 *  This program and the accompanying materials are made available under the
 *  terms of the Apache License, Version 2.0 which is available at
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 *  SPDX-License-Identifier: Apache-2.0
 *
 */

package org.fraunhofer.fit.extension.extractor.model;


import java.lang.reflect.Field;
import java.util.List;

public class ValidationResponseModel {

    //private int validationScore;
    private float validationScore;
    private String validationScoreDesc;
    private List<String> message;

    public float getValidationScore() {
        return validationScore;
    }

    public void setValidationScore(float validationScore) {
        this.validationScore = validationScore;
    }

    public String getValidationScoreDesc() {
        return validationScoreDesc;
    }

    public void setValidationScoreDesc(String validationScoreDesc) {
        this.validationScoreDesc = validationScoreDesc;
    }

    public List<String> getMessage() {
        return message;
    }

    public void setMessage(List<String> message) {
        this.message = message;
    }

    public void print() {

        Field[] fields = ValidationResponseModel.class.getDeclaredFields();

        for (Field field : fields) {
            field.setAccessible(true);
            String name = field.getName();
            try {
                Object value = field.get(this);
                System.out.println(name + " :" + value);
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
    }


}
